#     Installscript: kubuntu_install_applauncher.sh
#   for servicmenu: applauncher  
#	Copyright (C) 23.5.2009  R.Witthueser
#	<rauwitt@web.de>
#
#     Version: 0.1 - first release.
#
#     This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA   02110-1301,USA.

#!/bin/bash

DOWNLOAD_DIR="$PWD"  	       # defines the download directory

# choose type of installation
installmode=$(kdialog --caption "Applauncher" --radiolist "Choose your installation type" 0 "Kde 3.5 (local)" on 1 "Kde 3.5 (systemwide)" off 2 "Kde 4 (local)" off 3 "Kde 4 (systemwide)" off --icon info)

# kde 3.5 (local) installation
if test "$installmode" -eq "0"; then
echo " --------------------------------------------------------- ";
echo "  ** Applauncher will be installed locally on KDE 3.5  ** ";
echo " --------------------------------------------------------- ";
if test -d "$HOME"/.kde/share/apps/konqueror/servicemenus; then
   echo "   - The directory" "$HOME"/.kde/share/apps/konqueror/servicemenus "exists" ;
   else
    mkdir "$HOME"/.kde/share/apps/konqueror/servicemenus ;
   echo "  - The directory" "$HOME"/.kde/share/apps/konqueror/servicemenus "was created" ;
   fi
   
   cd $DOWNLOAD_DIR                     # moving desktop files
   mv konsole_directory_0_2_kde3.desktop $HOME/.kde/share/apps/konqueror/servicemenus
   mv launch_x_executable_0_4_kde3.desktop $HOME/.kde/share/apps/konqueror/servicemenus
   mv launch_x_jar_0_2_kde3.desktop $HOME/.kde/share/apps/konqueror/servicemenus
   mv launch_x_shellscript_0_3_kde3.desktop $HOME/.kde/share/apps/konqueror/servicemenus
   mv permissions_0_3_kde3.desktop $HOME/.kde/share/apps/konqueror/servicemenus
   echo "  - The desktop files were moved to" $HOME/.kde/share/apps/konqueror/servicemenus
  
   kdialog --caption "Applauncher" --msgbox "The local installation on KDE 3.5 was successful!" --icon info  

fi
   
 # kde 3.5 (systemwide) installation
if test "$installmode" -eq "1"; then
echo " --------------------------------------------------------- ";
echo "  ** Applauncher will be installed systemwide on KDE 3.5";
echo " --------------------------------------------------------- ";
if test -d /opt/kde3/share/apps/konqueror/servicemenus; then
   echo "  - The directory" /opt/kde3/share/apps/konqueror/servicemenus "exists" ;
   else
      kdesudo mkdir /opt/kde3/share/apps/konqueror/servicemenus ;
   echo "  - The directory" /opt/kde3/share/apps/konqueror/servicemenus "was created" ;
   fi
   
   cd $DOWNLOAD_DIR                     # moving desktop files
   kdesudo mv konsole_directory_0_2_kde3.desktop /opt/kde3/share/apps/konqueror/servicemenus
   kdesudo mv launch_x_executable_0_4_kde3.desktop /opt/kde3/share/apps/konqueror/servicemenus
   kdesudo mv launch_x_jar_0_2_kde3.desktop /opt/kde3/share/apps/konqueror/servicemenus
   kdesudo mv launch_x_shellscript_0_3_kde3.desktop /opt/kde3/share/apps/konqueror/servicemenus
   kdesudo mv permissions_0_3_kde3.desktop /opt/kde3/share/apps/konqueror/servicemenus
   echo "  - The desktop files were moved to" /opt/kde3/share/apps/konqueror/servicemenus
   
   kdialog --caption "Applauncher" --msgbox "The systemwide installation on KDE 3.5 was successful!" --icon info   
fi

# kde 4 (local) installation
if test "$installmode" -eq "2"; then
echo " -------------------------------------------------------- ";
echo "  ** Applauncher will be installed locally on KDE 4 ** "
echo " -------------------------------------------------------- ";
if test -d "$HOME"/.kde/share/kde4/services/ServiceMenus; then
   echo "  - The directory" "$HOME"/.kde/share/kde4/services/ServiceMenus "exists" ;
   else
      mkdir "$HOME"/.kde/share/kde4/services/ServiceMenus ;
   echo "  - The directory" "$HOME"/.kde/share/kde4/services/ServiceMenus "was created" ;
   fi
       cd $DOWNLOAD_DIR                     # moving desktop files
   mv konsole_directory_0_2_kde4.desktop $HOME/.kde/share/kde4/services/ServiceMenus
   mv launch_x_executable_0_4_kde4.desktop $HOME/.kde/share/kde4/services/ServiceMenus
   mv launch_x_jar_0_2_kde4.desktop $HOME/.kde4/share/kde/services/ServiceMenus
   mv launch_x_shellscript_0_3_kde4.desktop $HOME/.kde/share/kde4/services/ServiceMenus
   mv permissions_0_3_kde4.desktop $HOME/.kde4/share/kde/services/ServiceMenus
   echo "  - The desktop files were moved to" $HOME/.kde/share/kde4/services/ServiceMenus
   
   kdialog --caption "Applauncher" --msgbox "The local installation on KDE 4 was successful!" --icon info 
fi

# kde 4 (systemwide) installation
if test "$installmode" -eq "3"; then
echo " --------------------------------------------------------- ";
echo "  ** Applauncher will be installed systemwide on KDE 4 ** "
echo " --------------------------------------------------------- ";
if test -d /usr/share/kde4/services/ServiceMenus; then
   echo "  - The directory" /usr/share/kde4/services/ServiceMenus "exists" ;
   else
      kdesudo mkdir /usr/share/kde4/services/ServiceMenus ;
   echo "  - The directory" /usr/share/kde4/services/ServiceMenus "was created";
   fi
   cd $DOWNLOAD_DIR                     # moving desktop files
   kdesudo mv konsole_directory_0_2_kde4.desktop /usr/share/kde4/services/ServiceMenus
   kdesudo mv launch_x_executable_0_4_kde4.desktop /usr/share/kde4/services/ServiceMenus
   kdesudo mv launch_x_jar_0_2_kde4.desktop /usr/share/kde4/services/ServiceMenus
   kdesudo mv launch_x_shellscript_0_3_kde4.desktop /usr/share/kde4/services/ServiceMenus
   kdesudo mv permissions_0_3_kde4.desktop /usr/share/kde4/services/ServiceMenus
   echo "  - The desktop files were moved to" /usr/share/kde4/services/ServiceMenus
   
   kdialog --caption "Applauncher" --msgbox "The systemwide installation on KDE 4 was successful!" --icon info
fi











