#     Uninstallscript: uninstall_applauncher.sh
#   for servicmenu: Applauncher  
#	Copyright (C) 23.5.2009  R.Witthueser
#	<rauwitt@web.de>
#
#     Version: 0.1 - first release.
#
#     This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA   02110-1301,USA.

#!/bin/bash

# choose type of installation
uninstallmode=$(kdialog --caption "Applauncher" --radiolist "Choose your installation type" 0 "Kde 3.5 (local)" on 1 "Kde 3.5 (systemwide)" off 2 "Kde 4 (local)" off 3 "Kde 4 (systemwide)" off --icon info)

# Uninstall kde 3.5 (local)
if test "$uninstallmode" -eq "0"; then
echo " ---------------------------------------------------------- ";
echo "  ** Applauncher will be uninstalled locally on KDE 3.5 ** " ;
echo " ---------------------------------------------------------- ";
   cd $HOME/.kde/share/apps/konqueror/servicemenus
   rm $HOME/.kde/share/apps/konqueror/servicemenus/konsole_directory_0_2_kde3.desktop
   rm $HOME/.kde/share/apps/konqueror/servicemenus/launch_x_executable_0_4_kde3.desktop
   rm $HOME/.kde/share/apps/konqueror/servicemenus/launch_x_jar_0_2_kde3.desktop
   rm $HOME/.kde/share/apps/konqueror/servicemenus/launch_x_shellscript_0_3_kde3.desktop
   rm $HOME/.kde/share/apps/konqueror/servicemenus/permissions_0_3_kde3.desktop
   echo "  - The desktop files were removed."
  
   kdialog --caption "Applauncher" --msgbox "Applauncher was uninstalled locally on KDE 3.5!" --icon info
   
fi
   
 # Uninstall kde 3.5 (systemwide)
if test "$uninstallmode" -eq "1"; then
echo " ---------------------------------------------------------- ";
echo "  ** Applauncher will be uninstalled systemwide on KDE 3.5 " ;
echo " ---------------------------------------------------------- ";
   cd /opt/kde3/share/apps/konqueror/servicemenus
   kdesu rm /opt/kde3/share/apps/konqueror/servicemenus/konsole_directory_0_2_kde3.desktop
   kdesu rm /opt/kde3/share/apps/konqueror/servicemenus/launch_x_executable_0_4_kde3.desktop
   kdesu rm /opt/kde3/share/apps/konqueror/servicemenus/launch_x_jar_0_2_kde3.desktop
   kdesu rm /opt/kde3/share/apps/konqueror/servicemenus/launch_x_shellscript_0_3_kde3.desktop
   kdesu rm /opt/kde3/share/apps/konqueror/servicemenus/permissions_0_3_kde3.desktop
   echo "  - The desktop files were removed."
   
   kdialog --caption "Applauncher" --msgbox "Applauncher was uninstalled systemwide on KDE 3.5!" --icon info
   
fi

# Uninstall kde 4 (local)
if test "$uninstallmode" -eq "2"; then
echo " --------------------------------------------------------- ";
echo "  ** Applauncher will be uninstalled locally on KDE 4 ** " ;
echo " --------------------------------------------------------- ";
   cd $HOME/.kde4/share/kde4/services/ServiceMenus
   rm $HOME/.kde4/share/kde4/services/ServiceMenus/konsole_directory_0_2_kde4.desktop
   rm $HOME/.kde4/share/kde4/services/ServiceMenus/launch_x_executable_0_4_kde4.desktop
   rm $HOME/.kde4/share/kde4/services/ServiceMenus/launch_x_jar_0_2_kde4.desktop
   rm $HOME/.kde4/share/kde4/services/ServiceMenus/launch_x_shellscript_0_3_kde4.desktop
   rm $HOME/.kde4/share/kde4/services/ServiceMenus/permissions_0_3_kde4.desktop
   echo "  - The desktop files were removed."
  
   kdialog --caption "Applauncher" --msgbox "Applauncher was uninstalled locally on KDE 3.5!" --icon info
   
fi

# Uninstall kde 4 (systemwide)
if test "$uninstallmode" -eq "3"; then
echo " --------------------------------------------------------- ";
echo "  ** Applauncher will be uninstalled systemwide on KDE 4 " 
echo " --------------------------------------------------------- ";
   cd /usr/share/kde4/services/ServiceMenus
   kdesu rm /usr/share/kde4/services/ServiceMenus/konsole_directory_0_2_kde4.desktop
   kdesu rm /usr/share/kde4/services/ServiceMenus/launch_x_executable_0_4_kde4.desktop
   kdesu rm /usr/share/kde4/services/ServiceMenus/launch_x_jar_0_2_kde4.desktop
   kdesu rm /usr/share/kde4/services/ServiceMenus/launch_x_shellscript_0_3_kde4.desktop
   kdesu rm /usr/share/kde4/services/ServiceMenus/permissions_0_3_kde4.desktop
   echo "  - The desktop files were removed."
  
   kdialog --caption "Applauncher" --msgbox "Applauncher was uninstalled systemwide on KDE 4!" --icon info
   
fi











